package com.caimei.www.service.page;

import com.caimei.www.pojo.page.BaseLink;
import com.caimei.www.pojo.page.TopMenu;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/6/16
 */
public interface BaseService {

    /**
     * 获取搜索热门关键字
     */
    List<String> getSearchHotWord();

    /**
     * 获取头部菜单
     */
    List<TopMenu> getNavMenu();

    /**
     * 底部帮助页
     */
    List<BaseLink> getHelpPages();

    /**
     * 友情链接
     */
    List<BaseLink> getFriendLinks();

}
